## org.jfree.chart.imagemap
Interface URLTagFragmentGenerator

All Known Implementing Classes:
  StandardURLTagFragmentGenerator

    public interface URLTagFragmentGenerator

Interface for generating the URL fragment of an HTML image map area tag.

Method Summary
`java.lang.String` `generateURLFragment(java.lang.String urlText)` Generates a URL string to go in an HTML image map.

Method Detail

### generateURLFragment

    java.lang.String generateURLFragment(java.lang.String urlText)

  Generates a URL string to go in an HTML image map.
  Note that the `urlText` will be created by a URL generator (such as `CategoryURLGenerator`, `PieURLGenerator`, `XYURLGenerator` or `XYZURLGenerator`) and that generator is responsible for ensuring that the URL text is correctly escaped.

  Parameters:
    `urlText` - the URL text (fully escaped).
  Returns:
    The formatted HTML area tag attribute(s).